Error “to log on to this remote computer you must have terminal server user access permissions” Citrix publication access

 

We present you an issue we face off.

On launching of a “Putty” publication on a citrix 5.0 farm with a hop on citrix metaframe 4.0 farm there is :

 

Here is the context scenario :

 

At first sight it seems the issue is linked to Remote Destop Group Users

We have possibility to launch the application directly in the target farm so we make an opening test

This test being successful we can discard all rights and availability issues from this application

Now we make an another test to avoid network issues between this 2 farms :

We launch with success a published Remote Desktop of the server

So the network issues is avoided too.

Making a hop on an old citrix farm in Metaframe 4.0, it is possible that one of components is ancient.

We will check the citrix client version installed on the server publishing Internet Explorer who allow the hop.

The citrix client is indeed very old and does not fulfill the minimal requirements according to citrix access xenapp 5.0 farm

This webpage : http://support.citrix.com/article/CTX111164 (point 4 ) indicate us that the minimal version of citrix client to access a XenApp 4.5 farm is 10.0 version.

We update our citrix client on the server publishing our “IE hop” for a corporate version 12.1.44

The application now open without issue.

We advise you upgrade in the latest version of the client or at least the latest version from citrix support: “Citrix online plugin 12.3”

You’ll should benefit from the editor support team if necessary.

Thanks to Net2sys for his help about this issue.

 

1 comment

  1. I do trust all the ideas you’ve offered on your post.
    They are very convincing and will definitely work. Nonetheless, the
    posts are very short for novices. May you please extend them a little from subsequent time?
    Thank you for the post.

Leave a Reply

Your email address will not be published.